
Audacious - Bug #517

[3.6] Audacious crashes when reading .m4a file - ffplay ok

March 07, 2015 00:23 - FM33 FM33

Status: Rejected Start date: March 07, 2015

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.6   

Description

Same as #341 : When adding a m4a file to playlist, audacious crashes. ffplay read it fine.

Reproduced with any m4a file. Used to work fine in 3.5.

Ubuntu 14.04 amd64, WebUpd8 ppa.

History

#1 - March 07, 2015 06:15 - John Lindgren

Thank you for the report.  This does not seem to be the same problem as #341; in that case, ffplay crashed also, suggesting a bug outside of

Audacious.

I can't reproduce the crash.  Please provide at least a backtrace and, if possible, an example file.  You should get used to providing backtraces for

every crash that you report (to Audacious or to other projects).

#2 - March 07, 2015 12:33 - FM33 FM33

- File sample.m4a added

Starting program: /usr/bin/audacious

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7ffff2497700 (LWP 32143)]

[New Thread 0x7ffff1c96700 (LWP 32144)]

[New Thread 0x7ffff1495700 (LWP 32145)]

[New Thread 0x7fffea82e700 (LWP 32146)]

[Thread 0x7fffea82e700 (LWP 32146) exited]

[New Thread 0x7fffea82e700 (LWP 32147)]

[Thread 0x7ffff1c96700 (LWP 32144) exited]

[New Thread 0x7ffff1c96700 (LWP 32255)]

[New Thread 0x7fffd1224700 (LWP 32256)]

[New Thread 0x7fffd0a23700 (LWP 32257)]

[New Thread 0x7fffcbfff700 (LWP 32258)]

[New Thread 0x7fffcb7fe700 (LWP 32259)]

[New Thread 0x7fffcaffd700 (LWP 32260)]

[Thread 0x7fffd0a23700 (LWP 32257) exited]

[Thread 0x7fffd1224700 (LWP 32256) exited]

[Thread 0x7fffcaffd700 (LWP 32260) exited]

[Thread 0x7fffcb7fe700 (LWP 32259) exited]

[Thread 0x7fffcbfff700 (LWP 32258) exited]

[New Thread 0x7fffcbfff700 (LWP 32261)]

[Thread 0x7fffcbfff700 (LWP 32261) exited]

[New Thread 0x7fffcb7fe700 (LWP 32262)]

[New Thread 0x7fffcaffd700 (LWP 32263)]

[New Thread 0x7fffd1224700 (LWP 32264)]

[New Thread 0x7fffd081c700 (LWP 32265)]

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 0x7fffcaffd700 (LWP 32263)]

0x00007fffc9a1aa26 in ?? () from /usr/lib/x86_64-linux-gnu/libavcodec.so.54

----------

April 24, 2024 1/2

http://redmine.audacious-media-player.org/issues/341
http://redmine.audacious-media-player.org/issues/341


ffmpeg 7:2.6.0~trusty

libavcodec56 7:2.5.3-0ppa1~trusty

libavcodec-extra-56 7:2.5.3-0ppa1~trusty

#3 - March 07, 2015 15:06 - John Lindgren

Do you know what a backtrace is?  Please Google "gdb tutorial" and learn how to get a backtrace.

#4 - March 07, 2015 18:14 - FM33 FM33

Oops, forgot to type bt - not used to it.

#0  0x00007fffc9a1aa26 in ?? () from /usr/lib/x86_64-linux-gnu/libavcodec.so.54

#1  0x00007fffc9a1cfbd in ?? () from /usr/lib/x86_64-linux-gnu/libavcodec.so.54

#2  0x00007fffc9d06082 in avcodec_decode_audio4 ()

from /usr/lib/x86_64-linux-gnu/libavcodec.so.54

#3  0x00007fffc974b0e8 in ?? ()

from /usr/lib/x86_64-linux-gnu/libavformat.so.54

#4  0x00007fffc9750a1b in avformat_find_stream_info ()

from /usr/lib/x86_64-linux-gnu/libavformat.so.54

#5  0x00007fffd001efb9 in ?? ()

from /usr/lib/x86_64-linux-gnu/audacious/Input/ffaudio.so

#6  0x00007fffd001f10e in ?? ()

from /usr/lib/x86_64-linux-gnu/audacious/Input/ffaudio.so

#7  0x00007ffff7bbe867 in aud_file_read_tuple(char const*, PluginHandle*, String*) () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

#8  0x00007ffff7bc04d6 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.3

#9  0x00007ffff711d88c in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#10 0x00007ffff711cf05 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#11 0x00007ffff7983182 in start_thread (arg=0x7fffcb7fe700)

at pthread_create.c:312

#12 0x00007ffff68ca47d in clone ()

at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

#5 - March 11, 2015 00:28 - John Lindgren

- Status changed from New to Rejected

I can't reproduce any crash in either Arch Linux or Ubuntu 14.04.  The backtrace suggests it is an ffmpeg/libav problem.

Files

log.txt 11.7 KB March 07, 2015 FM33 FM33

sample.m4a 3.2 MB March 07, 2015 FM33 FM33
